The error message seems quite clear :

error loading module 'bashets' from file
'/usr/share/awesome/lib/bashets.lua':
    /usr/share/awesome/lib/bashets.lua:1: unexpected symbol near '<

There is no error in your config file, but in the module you load. At the
first sight, I would say that you're not using the right Lua interpreter
(lua5.1 vs lua5.3) or something like this.

Kind,
Alexis.

Le ven. 2 sept. 2016 à 06:16, Ubuntu Linux <li...@klomp.ca> a écrit :

> I'm running awesome v3.4.15 on Linux ubuntu-TLS 4.4.0-36-generic (Xenial)
> I created the file
> -rw-r--r-- 1 chris chris 16819 Aug 26 21:54
> /home/chris/.config/awesome/rc.lua
> But the file is not loaded.
> awesome -k returns clean.
> Awesome starts with /etc/xdg/awesome/rc.lua and the awesome -> edit config
> menu will load this same file.
>
> The only errors I found were:
> [quote]
> chris@ubuntu-TLS:~$ cat  ~/.xsession-errors
> openConnection: connect: No such file or directory
> cannot connect to brltty at :0
> error loading module 'bashets' from file
> '/usr/share/awesome/lib/bashets.lua':
>     /usr/share/awesome/lib/bashets.lua:1: unexpected symbol near '<'
> Failed to connect to session manager: Failed to connect to the session
> manager: SESSION_MANAGER environment variable not defined
>
> (xfce4-terminal:3256): Gdk-CRITICAL **: IA__gdk_window_get_window_type:
> assertion 'GDK_IS_WINDOW (window)' failed
> [/quote]
> Where else can I look for errors in the setup?
>
> Thank you,
> LinuxLover
>

Reply via email to